Subject: [bug#70065] [PATCH 0/6] gnu: Update to Racket 8.12, Chez Scheme 10, and Zuo 1.9.

From: Skyler Ferris <[email-masked]>
Date: Sat, 30 Mar 2024 14:28:19 +0000

Hi all! I started reviewing these patches last night and just finished 
up.  I'll reply to each patch individually with notes, the big thing is 
loko-scheme running into an error due to the change to 
chez-scheme-for-system (I think the deprecation definition might need an 
update, because IIUC the syntax is supposed to be backwards-compatible 
until it is removed).

> Is there a good reason to do it this way?  Or could we build racket
> with regular chez-scheme afterwards?

I believe this is addressed by this comment from patch 6/6; we can't 
rely on chez-scheme being the correct version to use for racket. But 
please correct me if I misunderstood Philip!

> Since the pre-releases for Chez Scheme 10.0.0, all of Racket's changes have
> been merged upstream, and development will be kept in sync going
> forward. However, there is no plan to align the Chez Scheme and Racket
> release cycles. For the near fulture, a given released version of Racket
> will continue to depend on a specific pre-release version of Chez Scheme as
> part of Racket CS's "ABI". See upstream discussion at
> <https://racket.discourse.group/t/2739/3>.

In solidarity,
Skyler